Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextView Class Reference
[obsolete]

The QTextView class provides a rich-text viewer. More...

`#include <qtextview.h>`

Inherits QTextEdit.

List of all member functions.

## Properties

- bool modified - whether the text view's contents have been modified (read only)
- bool overwriteMode - whether new text overwrites or pushes aside existing text (read only)
- bool readOnly - whether the text view's contents are read only (read only)
- int undoDepth - the number of undoable steps (read only)
- bool undoRedoEnabled - whether undo and redo are enabled (read only)

## Detailed Description

The QTextView class provides a rich-text viewer.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

This class wraps a read-only QTextEdit. Use a QTextEdit instead, and call setReadOnly(TRUE) to disable editing.

## Property Documentation

### bool modified

This property holds whether the text view's contents have been modified.

### bool overwriteMode

This property holds whether new text overwrites or pushes aside existing text.

### bool readOnly

This property holds whether the text view's contents are read only.

### int undoDepth

This property holds the number of undoable steps.

### bool undoRedoEnabled

This property holds whether undo and redo are enabled.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.